searchNodes=[{"doc":"Contains helper functions for converting elixir datatypes into the format that Typst expects","ref":"ExTypst.Format.html","title":"ExTypst.Format","type":"module"},{"doc":"Converts a series of columns mapped as a nested list to a format that can be plugged in an existing table. Examples iex&gt; columns = [ [ &quot;John&quot; , 10 , 20 ] , [ &quot;Alice&quot; , 20 , 30 ] ] iex&gt; ExTypst.Format . table_content ( columns ) ~s/&quot;John&quot;, &quot;10&quot;, &quot;20&quot;, \\n &quot;Alice&quot;, &quot;20&quot;, &quot;30&quot;/","ref":"ExTypst.Format.html#table_content/1","title":"ExTypst.Format.table_content/1","type":"function"},{"doc":"","ref":"ExTypst.Format.html#t:column_data/0","title":"ExTypst.Format.column_data/0","type":"type"},{"doc":"Elixir bindings and helpers for the typst typesetting system. Check Typst's documentation for a quick start. Usage # Write typst markup template = &quot;&quot;&quot; = Current Employees This is a report showing the company&#39;s current employees. #table( columns: (auto, 1fr, auto, auto), [*No*], [*Name*], [*Salary*], [*Age*], &lt;%= employees %&gt; ) &quot;&quot;&quot; # Create some data defmodule Helper do @names [ &quot;John&quot; , &quot;Nathalie&quot; , &quot;Joe&quot; , &quot;Jane&quot; , &quot;Tyler&quot; ] @surnames [ &quot;Smith&quot; , &quot;Johnson&quot; , &quot;Williams&quot; , &quot;Brown&quot; , &quot;Jones&quot; , &quot;Davis&quot; ] def build_employees ( n ) do for n &lt;- 1 .. n do name = &quot; \#{ Enum . random ( @names ) } \#{ Enum . random ( @surnames ) } &quot; salary = &quot;US$ \#{ Enum . random ( 1000 .. 15_000 ) / 1 } &quot; [ n , name , salary , Enum . random ( 16 .. 60 ) ] end end end # Convert it to a nice-looking PDF { :ok , pdf_binary } = ExTypst . render_to_pdf ( template , employees : ExTypst.Format . table_content ( Helper . build_employees ( 1_000 ) ) ) # Write to disk File . write! ( &quot;employees.pdf&quot; , pdf_binary ) # Or maybe send via email Bamboo.Email . put_attachment ( email , % Bamboo.Attachment { data : pdf_binary , filename : &quot;employees.pdf&quot; } ) You can see the generated PDF here .","ref":"readme.html","title":"ExTypst","type":"extras"},{"doc":"If available in Hex , the package can be installed by adding ex_typst to your list of dependencies in mix.exs : def deps do [ { :ex_typst , &quot;~&gt; 0.1&quot; } ] end Documentation can be generated with ExDoc and published on HexDocs . Once published, the docs can be found at https://hexdocs.pm/ex_typst .","ref":"readme.html#installation","title":"ExTypst - Installation","type":"extras"}]